4 ответа

HARDKOD
03.02.2017 09:34

В личном кабинете вы устанавливается версию PHP для веб-сервера. А когда пользуетесь php-cli через SSH, то используете другой интерпретатор, все верно. Не могу найти, но в доках таймвеба были ссылки на cli версии всех php доступных в личном кабинете.

Лавр Иванов
03.02.2017 10:21

Привет!

Вот путь до интерпретаторов различных версий:
whereis php
php: /usr/bin/php /usr/bin/X11/php /usr/local/bin/php /opt/php5.4/bin/php /opt/php5.6/bin/php /opt/php56/bin/php /opt/php5.3/bin/php /opt/php7.0/bin/php /opt/php54/bin/php /opt/php53/bin/php /opt/php70/bin/php

Советую через .bash_aliases сделать alias для использования PHP 7.0 в качестве стандартного при вызове утилиты php.

HARDKOD
03.02.2017 10:46

Супер, спасибо, тож себе сохраню

У меня нет файла .bash_aliases, его просто создать надо?
Как именно указать alias на версию /opt/php71/bin/php ?
Подскажите полный вариант строки, пожалуйста.